<?php

/**
 * Phire Check Content Types
 *
 * @category   Phire
 * @author     Nick Sagona, III <nick@moc10media.com>
 * @copyright  Copyright (c) 2009-2011 Moc 10 Media, LLC. (http://www.moc10media.com)
 * @license    http://www.phirecms.org/LICENSE.TXT     New BSD License
 * @version    1.1.2
 */

require_once '../../bootstrap.php';

if (isset($_GET['site_id'])) {

    $lang = new Phire_Language();
    $none = $lang->__('None');
    $site = new Phire_Table_Sites();
    $site->findById($_GET['site_id']);

    // Get site content types.
    $types = explode('|', $site->allowed_content_types);
    $typeAry = array();

    $output = '';

    foreach ($types as $value) {
        $type = new Phire_Table_ContentTypes();
        $type->findById($value);
        $typeAry[] = "Array('" . $type->type_id . "', '" . $type->type . "')";
    }
    $output .= "var contenttypes = Array(" . implode(", ", $typeAry) . ");";

    // Get site themes.
    $themes = new Phire_Table_Themes();
    $themes->findAll('theme_id ASC', 'site_id', $_GET['site_id']);
    $thmAry = array();

    if (isset($themes->rows[0])) {
        foreach ($themes->rows as $theme) {
            $thmAry[] = "Array('" . $theme->theme_id . "', '" . $theme->theme_name . "')";
        }
        $output .= ' var themes = Array(Array(\'0\', \'(' . $none . ')\'), ' . implode(", ", $thmAry) . ');';
    } else {
        $output .= ' var themes = Array(Array(\'0\', \'(' . $none . ')\'));';
    }

    print($output);

}

?>
