<?php

/**
 * Phire Copy Section
 *
 * @category   Phire
 * @author     Nick Sagona, III <nick@moc10media.com>
 * @copyright  Copyright (c) 2009-2011 Moc 10 Media, LLC. (http://www.moc10media.com)
 * @license    http://www.phirecms.org/LICENSE.TXT     New BSD License
 * @version    1.1.2
 */

require_once '../../bootstrap.php';

try {

    // If the correct variables are passed, find the section.
    if (isset($_GET['sid'])) {

        $section = new Phire_Table_Sections();
        $section->findById($_GET['sid']);

        // If the section is found, duplicate the section entry.
        if (isset($section->section_id)) {

            // Check for URL duplicates.
            $i = 1;
            $org_section_title = $section->section_title;
            $org_section_url = $section->section_url;
            $section_title_copy = $org_section_title . ' (Copy)';
            $section_url_copy = $org_section_url . '-' . $i;

            $test_section = new Phire_Table_Sections();
            $test_section->execute("SELECT * FROM " . DB_PREFIX . "sections WHERE section_url = '" . $section_url_copy . "' AND site_id = '" . $section->site_id . "'");

            while (isset($test_section->rows[0])) {
                $i++;
                $section_title_copy = $org_section_title  . ' (Copy ' . $i . ')';
                $section_url_copy = $org_section_url . '-' . $i;
                $test_section = new Phire_Table_Sections();
                $test_section->execute("SELECT * FROM " . DB_PREFIX . "sections WHERE section_url = '" . $section_url_copy . "' AND site_id = '" . $section->site_id . "'");
            }

            // Once a new unique section URL is confirmed, set the fields and save the copy of the section.
            $fields = array('site_id' => $section->site_id,
                            'template_id' => $section->template_id,
                            'parent_section_id' => $section->parent_section_id,
                            'section_title' => $section_title_copy,
                            'section_url' => $section_url_copy,
                            'short_template' => $section->short_template,
                            'short_template_container' => $section->short_template_container,
                            'short_limit' => $section->short_limit,
                            'long_template' => $section->long_template,
                            'long_template_container' => $section->long_template_container,
                            'long_limit' => $section->long_limit,
                            'sort_order' => $section->sort_order,
                            'paginate' => $section->paginate,
                            'section_requests' => 0,
                            'section_access' => $section->section_access);

            $sectioncopy = new Phire_Table_Sections($fields);
            $sectioncopy->save();

        }

    }

    if (isset($_GET['mobile'])) {
        header('Location: ' . BASE_PATH . SYS_PATH . '/mobile/content/sections.php');
    } else {
        header('Location: ' . BASE_PATH . SYS_PATH . '/content/sections.php');
    }

// Else throw a exception/error.
} catch (Exception $e) {

    include_once 'init.php';
    include_once '../includes/error.header.php';
    print("        <p style=\"width: 95%; margin: 0 auto; padding: 5px 0 0 0;\">" . $e->getMessage() . "</p>\n");
    include_once '../includes/footer.php';

}

?>
