<?php

/**
 * Phire Get Sessions
 *
 * @category   Phire
 * @author     Nick Sagona, III <nick@moc10media.com>
 * @copyright  Copyright (c) 2009-2011 Moc 10 Media, LLC. (http://www.moc10media.com)
 * @license    http://www.phirecms.org/LICENSE.TXT     New BSD License
 * @version    1.1.2
 */

require_once dirname(__FILE__) . '/config.check.php';

$back = $lang->__('Back to Users');
$nme = $lang->__('Name');
$ip = $lang->__('Current IP');
$typ = $lang->__('Type');
$strt = $lang->__('Session Start');
$usr_agt = $lang->__('User Agent');
$remove = $lang->__('Remove?');
$remove_btn = $lang->__('Remove');

$int_sort_id = 'session_id';
$tableHeader = "<tr><td class=\"grayHeader\" style=\"padding: 0; width: 6%; text-align: center;\"><a class=\"grayLink\" href=\"./sessions.php?sort=session_id\">ID #</a></td><td class=\"grayHeader\" style=\"width: 15%; padding: 0; text-align: left;\"><a class=\"grayLink\" href=\"./sessions.php?sort=lname\">{$nme}</a></td><td class=\"grayHeader\" style=\"padding: 0; width: 8%; text-align: left;\"><a class=\"grayLink\" href=\"./sessions.php?sort=current_ip\">{$ip}</a></td><td class=\"grayHeader\" style=\"padding: 0; width: 5%; text-align: left;\"><a class=\"grayLink\" href=\"./sessions.php?sort=session_type\">{$typ}</a></td><td class=\"grayHeader\" style=\"padding: 0; width: 18%; text-align: left;\"><a class=\"grayLink\" href=\"./sessions.php?sort=session_start\">{$strt}</a></td><td class=\"grayHeader\" style=\"padding: 0; width: 42%; text-align: left;\"><strong>{$usr_agt}</strong></td><td class=\"grayHeader\" style=\"padding: 0; width: 6%; text-align: center;\"><strong>{$remove}</strong></td></tr>";

require_once '../core/process/calculate.sort.php';

try {

    $sessions = new Phire_Table_Sessions();
    $sessions->join(DB_PREFIX . 'users', 'user_id', $sort);

    if (isset($sessions->rows[0])) {

        // Print the table header.
        print <<<TABLEHEADER
        <form id="sessionsForm" action="../core/process/remove.sessions.php" method="post" onsubmit="return sessionsFrm.checkValidate('session', true);">
            <table id="headerTable" cellpadding="0" cellspacing="0"><tr><td><input style="margin: 0 2.5% 0 0; float: right;" type="checkbox" class="checkBox" id="check_all" name="check_all" value="all" onclick="formCheckAll(this, sessionsFrm, 'rm_sessions', '{$sess->user_sess_id}');" />&lt;&lt;&lt; <a class="orangeLink" href="./users.php"> {$back}</a></td></tr></table>
            <table id="dataTable" cellpadding="0" cellspacing="0">
                {$tableHeader}

TABLEHEADER;

        $id = null;

        // Iterate through each session, formatting and printing it to a row.
        foreach ($sessions->rows as $ses) {

            $session_start = Moc10_String::setString($ses->session_start)->date('l, M j, Y g:i A');
            $name = $name = Moc10_String::setString($ses->fname)->strip()->html() . ' ' . Moc10_String::setString($ses->lname)->strip()->html();

            if ($ses->session_id == $sess->user_sess_id) {
                $removeCheck = " disabled=\"disabled\"";
                $name = "<strong style=\"color: #000;\">{$name} (You)</strong>";
            } else {
                $removeCheck = "";
            }

            print("                <tr><td style=\"padding: 5px 2px 5px 2px; text-align: center;\">{$ses->session_id}</td><td style=\"padding: 5px 2px 5px 2px;\">{$name}</td><td>{$ses->current_ip}</td><td>" . $lang->__($ses->session_type) . "</td><td style=\"padding: 5px 2px 5px 2px; text-align: left;\">{$session_start}</td><td style=\"padding: 5px 2px 5px 2px; text-align: left;\">{$ses->current_ua}</td><td style=\"padding: 5px 2px 5px 2px; text-align: center;\"><input type=\"checkbox\" class=\"checkBox\" id=\"rm_sessions{$id}\" name=\"rm_sessions[]\" value=\"{$ses->session_id}\"{$removeCheck} /></td></tr>\n");
            $id++;

        }

        // Print the table footer.
        print <<<TABLEFOOTER
            </table>
            <table id="footerTable" cellpadding="0" cellspacing="0"><tr><td><input style="float: right;" type="submit" class="submitRedBtn" value="{$remove_btn}" /></td></tr></table>
        </form>
        <script type="text/javascript">
            sessionsFormInit();
        </script>

TABLEFOOTER;

    // Else, print a no results table.
    } else {

        $nosess = $lang->__('There are currently no sessions.');

        print <<<TABLEHEADER
        <table id="headerTable" cellpadding="0" cellspacing="0"><tr><td>&lt;&lt;&lt; <a class="orangeLink" href="./users.php"> {$back}</a></td></tr></table>
        <table id="dataTable" cellpadding="0" cellspacing="0">
            {$tableHeader}
        <tr><td colspan="6" style="padding: 25px;">{$nosess}</td></tr>
        </table>

TABLEHEADER;

    }

// Else throw a exception/error.
} catch (Exception $e) {

    print("        <p style=\"width: 95%; margin: 0 auto; padding: 5px 0 10px 0;\">" . $e->getMessage() . "</p>\n");

}

?>
