<?php

/**
 * Phire Update Tags
 *
 * @category   Phire
 * @author     Nick Sagona, III <nick@moc10media.com>
 * @copyright  Copyright (c) 2009-2011 Moc 10 Media, LLC. (http://www.moc10media.com)
 * @license    http://www.phirecms.org/LICENSE.TXT     New BSD License
 * @version    1.1.2
 */

require_once '../../bootstrap.php';

try {

    foreach ($_POST as $key => $value) {
        if (strpos($key, 'tag_') !== false) {
            $id = substr($key, (strrpos($key, '_') + 1));
            // Add new tags to the system.
            if ($id == 'add') {
                if ($value != '') {
                    $tags = str_replace(', ', ',', $value);
                    $tagAry = explode(',', $tags);
                    foreach ($tagAry as $v) {
                        $chktag = new Phire_Table_Tags();
                        $chktag->findBy('tag', $v);
                        if (!isset($chktag->tag_id)) {
                            $tag = new Phire_Table_Tags(array('site_id' => $_POST['site_id'], 'tag' => $v));
                            $tag->save();
                        }
                    }
                }
            } else if ($id == 'new') {
                $keyAry = explode('_', $key);
                if ($value != '') {
                    $tags = str_replace(', ', ',', $value);
                    $tagAry = explode(',', $tags);
                    foreach ($tagAry as $v) {
                        $chktag = new Phire_Table_Tags();
                        $chktag->findBy('tag', $v);
                        if (!isset($chktag->tag_id)) {
                            $tag = new Phire_Table_Tags(array('site_id' => $keyAry[1], 'tag' => $v));
                            $tag->save();
                        }
                    }
                }
            // Else, update existing tags.
            } else {
                $tag = new Phire_Table_Tags();
                $tag->findById($id);
                $tag->tag = $value;
                $tag->save();
            }
        }
    }

    // Process any tags that were flagged for removal.
    $rm_tags = array();

    if (isset($_POST['rm_tags'])) {
        $rm_tags = $_POST['rm_tags'];
        if (isset($rm_tags[0])) {
            foreach ($rm_tags as $value) {
                $pages = new Phire_Table_Pages();
                $pages->search(array('page_tags' => '%' . $value . '%'));
                // Update any pages that were tagged with the removed tag.
                if (isset($pages->rows[0])) {
                    foreach ($pages->rows as $val) {
                        if ($val['page_tags'] != '') {
                            $tagsAry = explode('|', $val['page_tags']);
                            $key = array_search($value, $tagsAry);
                            unset($tagsAry[$key]);
                            $page = new Phire_Table_Pages();
                            $page->findById($val['page_id']);
                            $page->page_tags = implode('|', $tagsAry);
                            $page->save();
                        }
                    }
                }
                // Delete the tag.
                $tag = new Phire_Table_Tags();
                $tag->findById($value);
                $tag->delete();
            }
        }
    }

    if (isset($_POST['mobile'])) {
        header('Location: ' . BASE_PATH . SYS_PATH . '/mobile/assets/tags.php?action=updated');
    } else {
        if ((isset($_POST['plugin'])) && (!is_null($_POST['plugin']))) {
            header('Location: ' . BASE_PATH . CONTENT_PATH . '/extensions/plugins/' . $_POST['plugin'] .'/?action=saved&sys_path=' . BASE_PATH . SYS_PATH);
        } else {
            header('Location: ' . BASE_PATH . SYS_PATH . '/assets/tags.php?action=updated');
        }
    }

// Else throw a exception/error.
} catch (Exception $e) {

    include_once 'init.php';
    include_once '../includes/error.header.php';
    print("        <p style=\"width: 95%; margin: 0 auto; padding: 5px 0 0 0;\">" . $e->getMessage() . "</p>\n");
    include_once '../includes/footer.php';

}

?>
